import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as d } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (h, t, a, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, a) : t, o = h.length - 1, i; o >= 0; o--)
    (i = h[o]) && (e = (r ? i(t, a, e) : i(e)) || e);
  return r && e && f(t, a, e), e;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--idCardLarge", this.class = "c-pieIcon c-pieIcon--idCardLarge", this.name = "IconIdCardLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--idCardLarge"><path d="M26.5 6.375h-21A2.625 2.625 0 0 0 2.875 9v14A2.625 2.625 0 0 0 5.5 25.625h21A2.625 2.625 0 0 0 29.125 23V9A2.625 2.625 0 0 0 26.5 6.375ZM27.375 23a.875.875 0 0 1-.875.875h-21A.875.875 0 0 1 4.625 23V9a.875.875 0 0 1 .875-.875h21a.875.875 0 0 1 .875.875v14Z"></path><path d="M12.5 9.875H9A2.625 2.625 0 0 0 6.375 12.5V16A2.625 2.625 0 0 0 9 18.625h3.5A2.625 2.625 0 0 0 15.125 16v-3.5A2.625 2.625 0 0 0 12.5 9.875ZM13.375 16a.875.875 0 0 1-.875.875H9A.875.875 0 0 1 8.125 16v-3.5A.875.875 0 0 1 9 11.625h3.5a.875.875 0 0 1 .875.875V16Z"></path><path d="m24.409 18.625.875-1.75h-6.659v1.75h5.784Z"></path><path d="m22.659 22.125.875-1.75h-4.909v1.75h4.034Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  d("icon-id-card-large")
], s);
export {
  s as IconIdCardLarge
};
